Loading...
Searching...
No Matches
hoel-sqlite.c File Reference
`#include "hoel.h"`
`#include "h-private.h"`

## Functions

struct _h_connection * | h_connect_sqlite (const char *db_path)
void | h_close_sqlite (struct _h_connection *conn)
char * | h_escape_string_sqlite (const struct _h_connection *conn, const char *unsafe)
char * | h_escape_string_with_quotes_sqlite (const struct _h_connection *conn, const char *unsafe)
long long int | h_last_insert_id_sqlite (const struct _h_connection *conn)
int | h_execute_query_sqlite (const struct _h_connection *conn, const char *query)
int | h_execute_query_json_sqlite (const struct _h_connection *conn, const char *query, json_t **j_result)